Subject: Re: bug#20674: linum-mode overwrites existing margin width

From: "Paul W. Rankin" <[email-masked]>
Date: Thu, 28 May 2015 14:32:56 +1000

On Thu, 28 May 2015, at 01:50 AM, Eli Zaretskii wrote:
> I think linum-mode is incompatible with any other means of putting
> anything inside the display margins, because it actually writes
> there.  The width of the margin is just the tip of the iceberg,
> because at best you will have margins whose contents are overwritten
> by linum-mode.

The incompatibility was found in a minor mode I maintain called
olivetti.el, which only sets the window margin widths in order to centre
the text body, it does not display anything within the margins.

In theory, linum-mode.el should be compatible with because it should
only require increasing the margin width on an as-needed basis.